declare const ChainToPublicRpc: Record<Chain, string>;
type Chain = "Polygon" | "Mumbai" | "Goerli" | "Ethereum" | "Avalanche" | "Optimism" | "OptimismGoerli" | "BSC" | "BSCTestnet" | "ArbitrumOne" | "ArbitrumGoerli" | "Fantom" | "FantomTestnet" | "Sepolia" | "AvalancheFuji";
type SupportedChainName = Chain | "Rinkeby" | "Solana" | "SolanaDevnet";

type MessageType<T> = {
    eventType: string;
    success: true;
    data: T;
} | {
    eventType: string;
    success: false;
    error: string;
};

declare const getPaperOriginUrl: () => string;

type StyleObject = Partial<CSSStyleDeclaration>;
interface ICustomizationOptions {
    colorPrimary?: string;
    colorBackground?: string;
    colorText?: string;
    borderRadius?: number;
    fontFamily?: string;
    inputBackgroundColor?: string;
    inputBorderColor?: string;
}
type CustomizationOptionsType = {
    [key in keyof ICustomizationOptions]: string;
};
type Locale = "en" | "fr" | "es" | "it" | "de" | "ja" | "ko" | "zh";
declare const DEFAULT_BRAND_OPTIONS: {
    colorPrimary: string;
    colorBackground: string;
    colorText: string;
    borderRadius: number;
    fontFamily: string;
};

export { Chain, ChainToPublicRpc, CustomizationOptionsType, DEFAULT_BRAND_OPTIONS, ICustomizationOptions, Locale, MessageType, StyleObject, SupportedChainName, getPaperOriginUrl };
